- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDShapeList Class Reference

`#include <VSDShapeList.h>`

## Public Member Functions
| VSDShapeList ()
| ~VSDShapeList ()
| VSDShapeList (const VSDShapeList &shapeList)
VSDShapeList & | operator= (const VSDShapeList &shapeList)
void | addShapeId (unsigned id, unsigned shapeId)
void | addShapeId (unsigned shapeId)
void | setElementsOrder (const std::vector< unsigned > &elementsOrder)
void | clear ()
bool | empty () const
const std::vector< unsigned > & | getShapesOrder ()

## Private Attributes
std::map< unsigned, unsigned > | m_elements
std::vector< unsigned > | m_elementsOrder
std::vector< unsigned > | m_shapesOrder

## Constructor & Destructor Documentation

libvisio::VSDShapeList::VSDShapeList | ( |  | ) |

libvisio::VSDShapeList::~VSDShapeList | ( |  | ) |

libvisio::VSDShapeList::VSDShapeList | ( | const VSDShapeList & | shapeList | ) |

## Member Function Documentation

void libvisio::VSDShapeList::addShapeId | ( | unsigned | id,
|  | unsigned | shapeId
| ) |  |

void libvisio::VSDShapeList::addShapeId | ( | unsigned | shapeId | ) |

void libvisio::VSDShapeList::clear | ( |  | ) |

bool libvisio::VSDShapeList::empty | ( |  | ) | const
| inline

const std::vector< unsigned > & libvisio::VSDShapeList::getShapesOrder | ( |  | ) |

libvisio::VSDShapeList & libvisio::VSDShapeList::operator= | ( | const VSDShapeList & | shapeList | ) |

void libvisio::VSDShapeList::setElementsOrder | ( | const std::vector< unsigned > & | elementsOrder | ) |

## Member Data Documentation

std::map<unsigned, unsigned> libvisio::VSDShapeList::m_elements
| private

Referenced by empty(), and operator=().

std::vector<unsigned> libvisio::VSDShapeList::m_elementsOrder
| private

Referenced by operator=().

std::vector<unsigned> libvisio::VSDShapeList::m_shapesOrder
| private

Referenced by operator=().

The documentation for this class was generated from the following files:

- VSDShapeList.h
- VSDShapeList.cpp